#ifndef METADATAEMBLEMPROVIDER_H
#define METADATAEMBLEMPROVIDER_H

#include <QObject>
#include "peony-core_global.h"
#include "emblem-provider.h"
#include "file-meta-info.h"

namespace Peony {

class PEONYCORESHARED_EXPORT MetadataEmblemProvider : public EmblemProvider
{
    Q_OBJECT
public:
    static MetadataEmblemProvider *getInstance();

    const QString emblemKey() override;

    QStringList getFileEmblemIcons(const QString &uri) override;

Q_SIGNALS:
    std::shared_ptr<Peony::FileMetaInfo> requestDupMetaInfo(const QString &uri);

private:
    explicit MetadataEmblemProvider(QObject *parent = nullptr);

private Q_SLOTS:
    std::shared_ptr<Peony::FileMetaInfo> getDupMetaInfo(const QString &uri);
};

}

#endif // METADATAEMBLEMPROVIDER_H
